import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  filename: SortOrderSchema.optional(),
  originalName: SortOrderSchema.optional(),
  mimeType: SortOrderSchema.optional(),
  fileSize: SortOrderSchema.optional(),
  filePath: SortOrderSchema.optional(),
  uploadedAt: SortOrderSchema.optional(),
  updatedAt: SortOrderSchema.optional()
}).strict();
export const PatientDocumentMinOrderByAggregateInputObjectSchema: z.ZodType<Prisma.PatientDocumentMinOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentMinOrderByAggregateInput>;
export const PatientDocumentMinOrderByAggregateInputObjectZodSchema = makeSchema();
